> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Credential

> Deletes a specified [credential](https://docs.seam.co/low-level-apis/access-systems/managing-credentials).



## OpenAPI

````yaml /openapi.json post /acs/credentials/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /acs/credentials/delete:
    post:
      tags:
        - /acs
      summary: Delete a Credential
      description: >-
        Deletes a specified
        [credential](https://docs.seam.co/low-level-apis/access-systems/managing-credentials).
      operationId: acsCredentialsDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                acs_credential_id:
                  description: ID of the credential that you want to delete.
                  format: uuid
                  type: string
              required:
                - acs_credential_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: |-
            await seam.acs.credentials.delete({
              acs_credential_id: "33bbceea-221e-48bd-8d38-aa72f88a1cab",
            });

            /*
            // void
            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/acs/credentials/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "acs_credential_id": "33bbceea-221e-48bd-8d38-aa72f88a1cab"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: >-
            seam.acs.credentials.delete(acs_credential_id="33bbceea-221e-48bd-8d38-aa72f88a1cab")


            # None
        - lang: ruby
          label: Seam SDK
          source: >-
            seam.acs.credentials.delete(acs_credential_id:
            "33bbceea-221e-48bd-8d38-aa72f88a1cab")


            # => nil
        - lang: php
          label: Seam SDK
          source: |-
            $seam->acs->credentials->delete(
                acs_credential_id: "33bbceea-221e-48bd-8d38-aa72f88a1cab",
            );
        - lang: bash
          label: Seam CLI
          source: >-
            seam acs credentials delete --acs_credential_id
            "33bbceea-221e-48bd-8d38-aa72f88a1cab"


            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http

````